# api

The AHosking.com API

## Getting Started

###

1. `sudo apt install libpq-dev python-dev python3-psycopg2`
1. `pip install virtualenv`
1. `python3 -m virtualenv .env`
1. Activate environment
   `.\.env\Scripts\activate`
1. `export DEBUG=false`
1. `docker run --name api-postgres -e POSTGRES_PASSWORD=mysecretpassword -e POSTGRES_USER=api -e POSTGRES_DB=api -p 5432:5432 -d postgres`
1. ```
   export DATABASE_HOST=localhost
   export DATABASE_PORT=5432
   export DATABASE_USER=api
   export DATABASE_PASSWORD=mysecretpassword
   export DATABASE_NAME=api
   ```
1. `python3 manage.py makemigrations`
1. `python3 manage.py migrate`
1. `python3 manage.py createsuperuser`
1. `python manage.py runserver 0.0.0.0:9000`

## Troubleshooting

`pip3 install --upgrade --force-reinstall -r requirements.txt` will re-install requirements and upgrade based on requirements.txt

### Third-party

- https://pypi.org/project/django-4-jet/

## Themes and Templates

- https://startbootstrap.com/theme/landing-page
- https://startbootstrap.com/previews/new-age
- https://startbootstrap.com/theme/new-age
